Bug 59280 - Can not execute most java programs
Summary: Can not execute most java programs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-04 16:44 UTC by frank
Modified: 2016-11-24 14:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 09:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description frank 2002-02-04 16:44:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
redhat 7.2 (kernel 2.4.9-21)

I try to run java programs such as tomcat on my fresh installed 7.2 linux box. 

But it doesn't work.
With jdk1.3.1_02 (SUN) and j2sdk-1.3.1 (blackdown) i get 
'An irrecoverable stack overflow has occurred.' and the service never starts.  

I read some documentation and it says that I've to assume a previous kernel 
(export LD_ASSUME_KERNEL=2.2.5).  Doing that makes the situation worse: 31653 
segmentation fault
Another option 'ulimit 2048' doesn't change anything.

With the jdk from IBM, I can start the service, but it doesn't respond like it 
should and can not be trusted for a production environment.

With 7.1 (same kernel and glibc modues) I don't have these problems.  Therefor 
I assume it's not a kernel or glibc problem.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install redhat out of the box
2.(upgrade to the latest kernel)
3.install latest stable java sdk Standard Edition v1.3.1_02
(or lastest jdk from IBM or blackdown)
4. install tomcat
5. boot tomcat (catalina run)
	

Actual Results:  'An irrecoverable stack overflow has occurred.' and the 
service never starts.  


Expected Results:  tomcat should have started and accepting network connection 
son port 8080

Additional info:

Comment 1 frank 2002-02-07 16:42:08 UTC
forget my note about 7.1 after upgrading to the latest kernel and glib libs, I 
have the same probs in 7.1

Comment 2 David L. Parsley 2002-03-20 17:39:48 UTC
I had the same problem with kernel 2.4.9-31.  Fortunately, I still had old
kernel errata for 2.4.9-13 and 2.4.9-21, and tried both.  I get the error with
31 and 21, but it's fine for 13.  The error message indicates a SIG 11.  This
was completely reproducable with a simple Hello.java.  I'm also using jdk-1.3.1_02.

Comment 3 Joe Orton 2002-05-21 14:55:50 UTC
This isn't an Apache issue: refiling aginst glibc in case this is glibc related;
close otherwise.

Comment 4 Ulrich Drepper 2003-04-22 02:52:49 UTC
Try this with Sun's JRE 1.4.1 or up on RHL9.  Older JRE's all biolated the ABI
and made wrong calls or had wrong assumptions.

Comment 5 Ulrich Drepper 2003-10-03 09:48:35 UTC
No comment or reply in almost 6 months.  Closing as not a bug since almost all
JRE problems are with the JRE code itself.


Note You need to log in before you can comment on or make changes to this bug.